Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class AbstractRENS

[frames] | no frames]

# Class AbstractRENS

source code

         object --+
                  |
    AbstractSampler --+
                      |
             AbstractMC --+
                          |
         AbstractEnsembleMC --+
                              |
             AbstractExchangeMC --+
                                  |
                                 AbstractRENS

Known Subclasses:
  - AbstractStepRENS
  - , MDRENS

Abstract Replica Exchange with Nonequilibrium Switches (RENS, Ballard & Jarzynski 2009) class. Subclasses implement various ways of generating trajectories (deterministic or stochastic).

Nested Classes
Inherited from `AbstractSampler`: `__metaclass__`

Instance Methods
Inherited from `AbstractExchangeMC`: `__init__`, `swap` Inherited from `AbstractEnsembleMC`: `sample` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``_calc_works``'``,` `'``_propagator_f``...``

Properties
Inherited from `AbstractExchangeMC`: `acceptance_rates`, `param_infos`, `statistics` Inherited from `AbstractEnsembleMC`: `energy` Inherited from `AbstractMC`: `state` Inherited from `object`: `__class__`

Class Variable Details

### __abstractmethods__

Value:

      frozenset(['_calc_works', '_propagator_factory'])